All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services
Class ServiceException

    com.sas.services.ServiceException

All Implemented Interfaces:
  com.sas.util.ChainedExceptionInterface, java.io.Serializable

Direct Known Subclasses:
  AutoConnectException, CallbackCancelledException, DependentServicesException, EntityHasChangedException, FactoryException, FilterNotSupportedException, IllegalServiceStateException, InitializationException, ItemAlreadyExistsException, LockingException, LoginServiceException, NewInstanceException, NonPersonAuthenticationException, ParseException, PartialResultsException, QuiesceException, RepositoryUrlMismatchException, SearchCriteriaException, ServerVersionException, ServiceConfigurationException, ServiceDeploymentException, ServiceDeploymentImportException, ServiceLookupFailedException, ServiceNotAvailableException, SyntaxException, TransportException, UserInitializationException, UserUnknownException, VersionIncompatibleException

    public class ServiceException

implements java.io.Serializable

Base exception class for all service related exceptions. This class extends `ChainedException` which provides the capability to wrap exceptions.

Since:
  1.0
See Also:
  Serialized Form

Constructor Summary
`ServiceException()` Constructs an exception using the default message.
`ServiceException(java.lang.String message)` Constructs an instance using the specified message to detail the cause of the exception.
`ServiceException(java.lang.Throwable throwable)` Constructs an instance using for the throwable that caused creation of this service exception.
`ServiceException(java.lang.Throwable throwable, java.lang.String message)` Constructs an instance using the specified message and a throwable that caused creation of this service exception.

Method Summary

Methods inherited from class com.sas.util.ChainedException
`chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

Constructor Detail

### ServiceException

    public ServiceException()

  Constructs an exception using the default message.

### ServiceException

    public ServiceException(java.lang.String message)

  Constructs an instance using the specified message to detail the cause of the exception.

  Parameters:
    `message` - Exception message.

### ServiceException

    public ServiceException(java.lang.Throwable throwable)

  Constructs an instance using for the throwable that caused creation of this service exception.

  Parameters:
    `throwable` - The Throwable that caused the exception.

### ServiceException

    public ServiceException(java.lang.Throwable throwable,
                            java.lang.String message)

  Constructs an instance using the specified message and a throwable that caused creation of this service exception.

  Parameters:
    `throwable` - The Throwable that caused this exception.
    `message` - Exception message.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.